// $Id: pen.h,v 1.4 1998/05/07 13:34:53 rich Exp $

#ifndef PEN_H
#define PEN_H

#include <qpixmap.h>
#include <qpainter.h>
#include "tool.h"

class Pen : public Tool
{
  Q_OBJECT
public:
  Pen();
  void mousePressEvent(QMouseEvent *e);
  void mouseMoveEvent(QMouseEvent *e);
  void mouseReleaseEvent(QMouseEvent *e);
  void activating();
  QPixmap *pixmap();
signals:
  void modified();
private:
  int lastx;
  int lasty;
  bool drawing;
  int activeButton;
};

#endif // PEN_H

